# from PyQt5.QtWidgets import QWidget
from PySide6.QtWidgets import QWidget

__all__ = ['StackMessages']


class StackMessages(QWidget):

    def __init__(self, parent):
        super(StackMessages, self).__init__(parent)
        parent.stack_msg = {
            'system_ready': ('info', 'SISTEMA LISTO ...'),
            'confirm_exit': ('warning', 'DESEA SALIR?'),
            'confirm_credit': ('question', 'CONFIRME QUE EL PAGO ES CREDITO?'),
            'sale_number_not_found': ('info', 'ORDEN / FACTURA NO ENCONTRADA!'),
            'sale_closed': ('error', 'VENTA CERRADA, NO PUEDE MODIFICARLA!'),
            'discount_not_valid': ('warning', 'DESCUENTO NO VALIDO!'),
            'cant_add_discount': ('warning', 'NO PUEDE AGREGAR DESCUENTOS A UNA VENTA FACTURADA!'),
            'add_payment_sale_draft': ('info', 'NO PUEDE AGREGAR PAGOS A VENTAS EN BORRADOR!'),
            'enter_quantity': ('question', 'INGRESE LA CANTIDAD...'),
            'enter_discount': ('question', 'INGRESE EL DESCUENTO...'),
            'enter_payment': ('question', 'INGRESE EL VALOR A PAGAR EN %s'),
            'enter_new_price': ('question', 'INGRESE EL PRECIO...'),
            'order_successfully': ('info', 'ORDEN ENVIADA EXITOSAMENTE!'),
            'order_failed': ('warning', 'FALLO EL ENVIO DE LA ORDEN!'),
            'missing_agent': ('warning', 'FALTA EL AGENTE!'),
            'missing_salesman': ('warning', 'NO HAY VENDEDOR EN LA VENTA!'),
            'sale_without_products': ('warning', 'NO PUEDE CONFIRMAR VENTA SIN PRODUCTOS!'),
            # 'user_without_permission': ('error', 'USUARIO SIN PERMISOS DE VENTAS!'),
            'quantity_not_valid': ('error', 'LA CANTIDAD NO ES VALIDA...!'),
            'user_not_permissions_device': ('error', 'EL USUARIO NO TIENE PERMISOS DE ACCESO!'),
            'missing_party_configuration': ('warning', 'FALTA CONFIGURAR EL TERCERO POR DEFECTO!'),
            'missing_journal_device': ('error', 'FALTA EL DIARIO EN EL TERMINAL!'),
            'statement_closed': ('error', 'NO HAY ESTADOS DE CUENTA ABIERTOS!'),
            'product_not_found': ('warning', 'PRODUCTO NO ENCONTRADO!'),
            'party_not_found': ('warning', 'TERCERO NO ENCONTRADO!'),
            'require_voucher': ('warning', 'REQUIERE NUMERO DE COMPROBANTE'),
            'must_load_or_create_sale': ('warning', 'PRIMERO DEBE CREAR/CARGAR UNA VENTA!'),
            'new_sale': ('warning', 'DESEA CREAR UNA NUEVA VENTA?'),
            'cancel_sale': ('question', 'DESEA CANCELAR LA VENTA?'),
            'not_permission_delete_sale': ('info', 'NO TIENE PERMISOS PARA BORRAR LA VENTA!'),
            'not_permission_for_cancel': ('info', 'NO TIENE PERMISOS PARA CANCELAR LA VENTA!'),
            'customer_not_credit': ('info', 'EL CLIENTE NO TIENE CUPO DE CREDITO!'),
            'agent_not_found': ('warning', 'AGENTE NO ENCONTRADO!'),
            'invalid_commission': ('warning', 'COMMISION NO VALIDA!'),
            'credit_limit_exceed': ('info', 'LIMITE DE CREDITO EXCEDIDA!'),
            'credit_limit_capacity': ('info', 'LA CAPACIDAD DE CREDITO ES INFERIOR AL 20%'),
            'not_can_force_assign': ('warning', 'NO PUEDE FORZAR ASIGNACION!'),
            'send_electronic_failed': ('info', 'ENVIO DE FACTURA FALLO!'),
            'invoice_done_failed': ('info', 'FALLO LA GENERACION DE LA FACTURA! \n %s'),
            'invoice_validated_failed': ('info', 'FALLO LA VALIDACION DE LA FACTURA ELECTRONICA!'),
            'without_stock_quantity': ('info', 'PRODUCTO SIN STOCK: %s'),
            'not_sale': ('info', 'NO HAY VENTA!...'),
            'statement_created': ('info', 'ESTADOS DE CUENTA CREADOS!'),
            'statement_finish': ('info', 'ESTADOS DE CUENTA CERRADOS!'),
            'order_dispatched': ('info', 'ORDEN DESPACHADA!'),
            'error_order_dispatched': ('error', 'ERROR EN DESPACHO DE ORDEN!'),
            'error_salesman_wrong': ('error', 'CODIGO ERRADO!'),
            'error_salesman_incorrect': ('error', 'CODIGO DE VENDEDOR NO PERTENECE A ESTA VENTA!'),
            'missing_delivery_party': ('error', 'FALTA ASIGNAR EL DOMICILIARIO!'),
            'select_products_to_split': ('question', 'SELECCIONE LOS PRODUCTOS A DIVIDIR!'),
            'fail_send_invoice': ('info', 'FALLO LA VALIDACION DE LA FACTURA ELECTRONICA!'),
            'release_table': ('question', 'DESEA LIBERAR LA MESA?'),
            'user_without_permission': ('info', 'USUARIO NO AUTORIZADO!'),
            'missing_note_for_delete_product': ('error', 'DEBE ESCRIBIR UNA OBSERVACION PARA ELIMINAR EL PRODUCTO'),
            'dont_delete_product': ('error', 'PARA ELIMINAR UN PRODUCTO DE LA VENTA DEBE FORZAR A BORRADOR EN TRYTON.'),
            'base_uvt_pos': ('info', 'VENTA SUPERA LA BASE, \n DEBE SELECCIONAR VENTA ELECTRONICA.'),
            'process_invoice_failed': ('error', 'ERROR AL PROCESAR FACTURA'),
            'confirm_agent': ('question', 'Confirmar comision de agente'),
            'qty_combo_min_req': ('error', 'Cantidad minima requerida!'),
            'error_server': ('error', 'Error'),
            'print_error': ('error', 'Error de Impresión'),
            'test_printer': ('error', 'Resultado Test: '),
            'transfer_sale': ('info', 'VENTA TRANSFERIDA A: '),
            'confirm_transfer_sale': ('question', 'ESTA SEGURO QUE DESEA TRANSFERIR ESTA VENTA?')
        }
